package com.maintain.business.service;

import com.maintain.business.domain.bo.ErpSettlementMaintainBo;
import com.maintain.business.domain.bo.ErpSettlementMaintainPayBo;
import com.maintain.business.domain.vo.ErpSettlementMaintainVo;
import com.maintain.common.core.domain.PageQuery;
import com.maintain.common.core.page.TableDataInfo;

import java.util.Collection;
import java.util.List;

/**
 * 结算维修单Service接口
 *
 * @author liushuai
 * @date 2025-04-03
 */
public interface IErpSettlementMaintainService {

    /**
     * 查询结算维修单
     */
    ErpSettlementMaintainVo queryById(Long id);

    /**
     * 查询结算维修单列表
     */
    TableDataInfo<ErpSettlementMaintainVo> queryPageList(ErpSettlementMaintainBo bo, PageQuery pageQuery);

    /**
     * 查询结算维修单列表
     */
    List<ErpSettlementMaintainVo> queryList(ErpSettlementMaintainBo bo);

    /**
     * 新增结算维修单
     */
    Boolean insertByBo(ErpSettlementMaintainBo bo);

    /**
     * 修改结算维修单
     */
    Boolean updateByBo(ErpSettlementMaintainBo bo);

    /**
     * 校验并批量删除结算维修单信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 结算维修单回执
     * @param bo
     * @return
     */
    Boolean receiptByBo(ErpSettlementMaintainBo bo);

    /**
     * 结算维修单支付
     * @param bo
     * @return
     */
    Boolean pay(ErpSettlementMaintainPayBo bo);
}
